Bug 1546806 - python-openstacksdk: python2-openstacksdk requires both Python 2 and Python 3
Summary: python-openstacksdk: python2-openstacksdk requires both Python 2 and Python 3
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-openstacksdk   
(Show other bugs)
Version: 28
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Javier Peña
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE PYTHON3-PYTHON2
TreeView+ depends on / blocked
 
Reported: 2018-02-19 16:12 UTC by Iryna Shcherbina
Modified: 2018-04-17 00:14 UTC (History)
2 users (show)

Fixed In Version: python-openstacksdk-0.12.0-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-17 00:14:35 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Iryna Shcherbina 2018-02-19 16:12:17 UTC
The python2-openstacksdk (0.11.3-1.fc28) RPM requires both Python 2 and Python 3:

$ dnf --disablerepo=* --enablerepo=rawhide repoquery --requires python2-openstacksdk | grep python
/usr/bin/python3
python(abi) = 2.7
...

Except in very special circumstances, there is no need for one package
to drag in both Python stacks. Usually, this is a packaging error: for
example, a stray "/usr/bin/python3" shebang in a Python 2 package can
introduce a Python 3 dependency. This happens for %{_bindir}/openstack-inventory
executable, should not it go to python3-openstacksdk subpackage?

Please remove the stray dependencies.
There is a section on shebangs in the Python RPM Porting Guide [0]
which covers this issue.


If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!


[0] http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#are-shebangs-dragging-you-down-to-python-2

Comment 1 Fedora End Of Life 2018-02-20 15:37:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Jan Beran 2018-03-24 10:13:17 UTC
Hi Javier,

I have created a PR that fixes the issue and provides new version 0.12.0:

https://src.fedoraproject.org/rpms/python-openstacksdk/pull-request/2

May I ask to review the patch and rebuild the package?

Comment 3 Fedora Update System 2018-04-03 08:29:12 UTC
python-openstacksdk-0.12.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1718664a76

Comment 4 Javier Peña 2018-04-03 08:38:10 UTC
I have merged the PR and created new builds for Rawhide and F28.

Comment 5 Fedora Update System 2018-04-03 15:58:52 UTC
python-openstacksdk-0.12.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1718664a76

Comment 6 Fedora Update System 2018-04-17 00:14:35 UTC
python-openstacksdk-0.12.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.